Zen API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Friends Macros Modules Pages
Related
kPointer Struct Reference
kApi

## Description

Represents a void pointer.

See also
  kNULL, kIsNull

Inheritance diagram for kPointer:

## Related
#define | kIsNull(POINTER)
| Tests for equality with null pointer. More...
void * | kPointer_ByteOffset (const void *pointer, kSSize offset)
| Calculates a pointer address from a base address and a byte offset. More...
kSSize | kPointer_Diff (void *a, void *b)
| Calculates the signed difference between two pointers. More...
void * | kPointer_ItemOffset (const void *pointer, kSSize itemIndex, kSize itemSize)
| Gets a pointer to the Nth element of an array. More...
#define | kPointer_ReadAs(POINTER, TYPE)
| Deferences a pointer, assuming the specified type, and returns the resulting value. More...
#define | kPointer_WriteAs(POINTER, VALUE, TYPE)
| Deferences a pointer, assuming the specified type, and assigns a value to the resulting reference. More...
Related inherited from kValue
#define | kValue_EqualsT(kType_type, TPtr_value, TPtr_other)
| Determines whether a value is equal to another value. More...
#define | kValue_HashCodeT(kType_type, TPtr_value)
| Gets a hash code representing the state of this value. More...

## Additional Inherited Members
Public Member Functions inherited from kValue
kBool | kValue_Equals (kType type, const void *value, const void *other)
| Determines whether a value is equal to another value. More...
kSize | kValue_HashCode (kType type, const void *value)
| Gets a hash code representing the state of this value. More...
void | kValue_Import (kType type, void *value, const void *source)
| Imports the content of another value into this value. More...
Protected Member Functions inherited from kValue
kBool | kValue_VEquals (kType type, const void *value, const void *other)
| Protected virtual method that compares two values for equality. More...
kSize | kValue_VHashCode (kType type, const void *value)
| Protected virtual method that calculates a hash code representing the value instance. More...
void | kValue_VImport (kType type, void *value, const void *source)
| Protected virtual method that imports data from an external source into an array-value type. More...

The documentation for this struct was generated from the following file:

- kApiDef.h